Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.webservice
Interface CampaignWebService

All Superinterfaces
  javax.ejb.EJBObject, Remote

    public interface CampaignWebService

extends javax.ejb.EJBObject

A WLS RPC-style WebService entry-point EJB for various campaign related features.

Method Summary
`String[]` | `getAdIds(String userId, String xmlQuery)` Get the list of ids of ads that match the xml-based contentQuery string for the given user.
`String[]` | `getEmailURIs(String webAppURI)` Get the list of email URI (relative to the server base URI) of the campaign email files available in the current application.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getAdIds

    String[] getAdIds(String userId,
                      String xmlQuery)
                      throws RemoteException,
                             javax.ejb.EJBException

  Get the list of ids of ads that match the xml-based contentQuery string for the given user.

  Throws
    `RemoteException`
    `javax.ejb.EJBException`

### getEmailURIs

    String[] getEmailURIs(String webAppURI)
                          throws RemoteException,
                                 javax.ejb.EJBException

  Get the list of email URI (relative to the server base URI) of the campaign email files available in the current application.

  Parameters
    `webAppURI` - the base webAppURI to filter on (null for all webApps in the application).
  Throws
    `RemoteException`
    `javax.ejb.EJBException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.